export type BodyHyphens = "auto" | "none";
export type BoxSizing = "content-box" | "border-box";
export type FontOpticalSizing = "auto" | "none";
export type FontWidth = "ultra-condensed" | "extra-condensed" | "condensed" | "semi-condensed" | "normal" | "semi-expanded" | "expanded" | "extra-expanded" | "ultra-expanded" | number;
export type Ligatures = "common-ligatures" | "none";
export type TypeScale = 1 | 1.067 | 1.125 | 1.2 | 1.25 | 1.333 | 1.414 | 1.5 | 1.618;
export type View = "paged" | "scroll";
export declare abstract class Properties {
    constructor();
    protected toFlag(name: string): string;
    protected toUnitless(value: number): string;
    protected toPercentage(value: number, ratio?: boolean): string;
    protected toVw(value: number): string;
    protected toVh(value: number): string;
    protected toPx(value: number): string;
    protected toRem(value: number): string;
    abstract toCSSProperties(): {
        [key: string]: string;
    };
}
